org.richfaces.component

## Enum UITreeNode.Properties

- java.lang.Object
- - java.lang.Enum<UITreeNode.Properties>
  - - org.richfaces.component.UITreeNode.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UITreeNode.Properties>
  Enclosing class:
    UITreeNode

      protected static enum UITreeNode.Properties
      extends Enum<UITreeNode.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dir`
    `handleClass`
    `iconClass`
    `iconCollapsed`
    `iconExpanded`
    `iconLeaf`
    `immediate`
    `labelClass`
    `lang`
    `onbeforetoggle`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `ontoggle`
    `style`
    `styleClass`
    `title`
    `toggleListener`
    `type`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UITreeNode.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UITreeNode.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dir

          public static final UITreeNode.Properties dir

    - #### handleClass

          public static final UITreeNode.Properties handleClass

    - #### iconClass

          public static final UITreeNode.Properties iconClass

    - #### iconCollapsed

          public static final UITreeNode.Properties iconCollapsed

    - #### iconExpanded

          public static final UITreeNode.Properties iconExpanded

    - #### iconLeaf

          public static final UITreeNode.Properties iconLeaf

    - #### immediate

          public static final UITreeNode.Properties immediate

    - #### labelClass

          public static final UITreeNode.Properties labelClass

    - #### lang

          public static final UITreeNode.Properties lang

    - #### onbeforetoggle

          public static final UITreeNode.Properties onbeforetoggle

    - #### onclick

          public static final UITreeNode.Properties onclick

    - #### ondblclick

          public static final UITreeNode.Properties ondblclick

    - #### onkeydown

          public static final UITreeNode.Properties onkeydown

    - #### onkeypress

          public static final UITreeNode.Properties onkeypress

    - #### onkeyup

          public static final UITreeNode.Properties onkeyup

    - #### onmousedown

          public static final UITreeNode.Properties onmousedown

    - #### onmousemove

          public static final UITreeNode.Properties onmousemove

    - #### onmouseout

          public static final UITreeNode.Properties onmouseout

    - #### onmouseover

          public static final UITreeNode.Properties onmouseover

    - #### onmouseup

          public static final UITreeNode.Properties onmouseup

    - #### ontoggle

          public static final UITreeNode.Properties ontoggle

    - #### style

          public static final UITreeNode.Properties style

    - #### styleClass

          public static final UITreeNode.Properties styleClass

    - #### title

          public static final UITreeNode.Properties title

    - #### toggleListener

          public static final UITreeNode.Properties toggleListener

    - #### type

          public static final UITreeNode.Properties type

  - ### Method Detail

    - #### values

          public static UITreeNode.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UITreeNode.Properties c : UITreeNode.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UITreeNode.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.